summaryrefslogtreecommitdiff
path: root/tests/misc/stdbuf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stdbuf.sh')
-rwxr-xr-xtests/misc/stdbuf.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/misc/stdbuf.sh b/tests/misc/stdbuf.sh
index 12347ecc7..650e8e737 100755
--- a/tests/misc/stdbuf.sh
+++ b/tests/misc/stdbuf.sh
@@ -50,6 +50,8 @@ stdbuf -o$SIZE_OFLOW true # size too large
test $? = 125 || fail=1
stdbuf -iL true # line buffering stdin disallowed
test $? = 125 || fail=1
+stdbuf true # a buffering mode must be specified
+test $? = 125 || fail=1
stdbuf -i0 -o0 -e0 true || fail=1 #check all files
stdbuf -o1 . # invalid command
test $? = 126 || fail=1